PHP 5.5以上でAPCのインストール失敗時

Last Updated:2023年07月17日| | コメントを残す

sudo pecl install apc コマンドでPHP APCをインストールすると、次のようなエラーが発生し、APCのインストールに失敗することがあります。

...

make: *** [apc_cache.lo] Error 1
ERROR: `make' failed

この問題は、 この記事に詳しく記載されています。 APCインストール失敗エラーが発生する原因は、PHP 5.5以降ではapcがサポートされていないためです。

この場合、次のコマンドを使用すると、エラーなしでapcをインストールできます。

pecl install apcu-4.0.10

PHP 7では、おそらく次のコマンドを使用する必要があります。

pecl install apcu-beta

PHP 5.6で pecl install apcu-4.0.10を使うと正常にインストールされますね。

W3 Total Cache - Object Cache Setting option

 

APCがインストールされると WordPressのキャッシュプラグインから「Object Cache」設定に「Opcode: Alternative PHP Cache (APC)オプションを指定できます。(W3 Total Cacheプラグインでは、Object Cache設定でAPCオプションが有効になります。)

 

W3 Total Cache - Object Cache Settings

 


コメントを残す

コメント

割引ニュース
アストラテーマで最大40%割引!
期間限定
You This Coupon Code in Checkout
Click the code to Copy